- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDummyDiversityAssignment< MOEOT > Class Template Reference

moeoDummyDiversityAssignment is a moeoDiversityAssignment that gives the value '0' as the individual's diversity for a whole population if it is invalid. More...

`#include <moeoDummyDiversityAssignment.h>`

Inheritance diagram for moeoDummyDiversityAssignment< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The type for objective vector.
## Public Member Functions
void | operator() (eoPop< MOEOT > &_pop)
| Sets the diversity to '0' for every individuals of the population _pop if it is invalid.
void | updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
| Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

## Detailed Description

### template<class MOEOT>
class moeoDummyDiversityAssignment< MOEOT >

moeoDummyDiversityAssignment is a moeoDiversityAssignment that gives the value '0' as the individual's diversity for a whole population if it is invalid.

Definition at line 22 of file moeoDummyDiversityAssignment.h.

## Member Function Documentation

template<class MOEOT>

void moeoDummyDiversityAssignment< MOEOT >::operator() | ( | eoPop< MOEOT > & | _pop | ) | `[inline, virtual]`

Sets the diversity to '0' for every individuals of the population _pop if it is invalid.

Parameters:

  | _pop | the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 34 of file moeoDummyDiversityAssignment.h.

template<class MOEOT>

void moeoDummyDiversityAssignment< MOEOT >::updateByDeleting | ( | eoPop< MOEOT > & | _pop,
|  | ObjectiveVector & | _objVec |
| ) |  |  | `[inline, virtual]`

Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:

  | _pop | the population
  | _objVec | the objective vector

Implements moeoDiversityAssignment< MOEOT >.

Definition at line 52 of file moeoDummyDiversityAssignment.h.

The documentation for this class was generated from the following file:

- moeoDummyDiversityAssignment.h